Release V 4.10.1 (Build 2024.08.02.1652):
- *** Urgent Bugfix ***
  In the 4.10.0 release, a programme error had unfortunately crept in, which led to a disconnection at
  the start of a voice transmission in server rooms with Parrot. In addition, in rare cases the FRN clients
  concerned were still listed as connected despite the connection being terminated. As a result, these
  FRN clients were no longer able to connect to the FRN server because the FRN server still considered them
  to be connected. This programme error has now been discovered and fixed. An update of the FRN server
  software is urgently recommended!


Release V 4.10.0 (Build 2024.07.23.1406):
- A first implementation of the additional programme feature for the programme-controlled update of the
  FRN server software.
- If the connection to the SystemManagerServer of the Original FRN System EU is set in the FRN server
  configuration, the programme is no longer aborted if the sysman.freeradionetwork.eu address leads
  to an UnknownHostException.
- The change introduced in release V 4.9.0 regarding the limited support of the Original FRN System EU
  has been revised again: As before, a maximum of three connection attempts to the Original FRN system EU
  are made after each FRN server start, provided a connection to the SystemManagerServer EU is configured.
  If these three connection attempts fail, the configured connection to the SystemManagerServer EU will
  no longer be ignored for the remainder of the server's runtime, but will instead only be retried every
  30 minutes to establish a connection to the Original FRN System EU.


Release V 4.9.1 (Build 2024.05.31.0306):
- For the optional connection to the SystemManagerServer RU, the special adaptations to the RU-specific
  FRN protocol extensions, which were introduced in V 4.9.0, have been revised again and are now completed.
  This measure was necessary because since V 4.9.0 the Original FRN Client software and the svxlink Client
  Software using ModuleFrn sometimes had connection problems when the optional connection to the FRN System
  RU was activated. For those who want to use the optional connection to the FRN System RU, this update
  is therfore recommended!


Release V 4.9.0 (Build 2024.05.23.1420):
- Due to the fact that the Original FRN system (EU) has now been offline for a very long time, 
  the support for the SystemManagerServer connection to the Original FRN system (EU) has been revised
  so that only a maximum of three connection attempts to the Original FRN System (EU) are made after
  each FRN server start if a connection to the SystemManagerServer EU is configured. If these three
  connection attempts fail, the configured connection to the SystemManagerServer EU is ignored for
  the rest of the server's runtime. If no further configured connections to other SystemManagerServers
  are available, the FRN server is terminated with an error message.
  *** IMPORTANT NOTE **********************************************************************************
  This means that for FRN servers configured for hybrid mode with connection to both FRN systems DE+EU,
  the connection to the FRN system EU is terminated after three failed connection attempts! FRN users
  with FRN clients configured for the FRN system EU can then no longer connect to the FRN server if
  there is no FRN account for the FRN identification data in the FRN system DE! These FRN users must
  reconfigure their FRN client to the SystemManagerServer DE and perform a new FRN password request to
  create an FRN user account in the FRN System DE!
  *****************************************************************************************************
- For the optional connection to the SystemManagerServer RU, special adaptations to the RU-specific
  FRN Protocol extensions were implemented. As a result, the FRN Rooms used and the number of clients
  connected to the respective FRN Rooms are now also correctly displayed in the FRN monitoring view
  of the SystemManagerServer RU.
- The maximum number of configurable networks/rooms has been increased from 32 to 64.


Release V 4.8.0 (Build 2024.05.06.1508):
- New optional settings parameter "netNN_show_infomessage" to configure the display behaviour of the
  Info-Message. The possible setting values of this parameter are
  acl     = Only show the info message to FRN users who are affected by
            the access list restriction (no access or no speaker permission).
  always  = Always show the Info-Message
  The new default setting is "acl"!


Release V 4.7.3 (Build 2024.04.27.1804):
- Configuration errors and server connection errors are now not only displayed in the server log
  file, but also on the system console, including an error beep.
- On each (re)connect with central FRN SystemManagerServer, the own FRN server address is now also
  checked again. If it is no longer known to the DNS (unknown host), for example because the DynDNS
  settings are not up to date, the FRN server process is explicitly stopped(!) and a corresponding
  error message together with an error beep are issued.
- If errors occur when connecting the FRN server to the central FRN SystemManager server, the pause
  times until the next connection attempt now vary depending on the error category. For simple network
  communication errors (IOExceptions, TimeOutExceptions), the pause time is still 5000ms. But for
  errors that are reported back to the FRN server by the central FRN SystemManager server (FRN error
  numbers -1 to -9), the pause time has been increased to 15000ms.
- The server shutdown procedure on Ctrl+C or in the event of fatal server errors has been revised again.


Release V 4.7.2 (Build 2023.11.25.1604):
- The server registration now also includes information on the operating system, the Java runtime
  environment and the default character set.


Release V 4.7.1 (Build 2023.11.20.1454):
- The check of the format of the e-mail address in the parameter field "server_owner" now also
  takes into account that it can be a list of several e-mail addresses.
- The e-mail addresses in the netXX_owner parameter fields are now also checked for a valid format.
- The mute/block/admin/access lists are now sent sorted to the therefor authorised FRN client. The
  entries are sorted in the same way as the client list, classically according to the band/channel
  info, client type, city and operator name.
- Procedure during connecting FRN clients revised with regard to the sequence of data packets.
- The logging has been revised and cleaned up.


Release V 4.7.0 (Build 2023.11.12.1614):
- In the OutputQueueThread, a kind of "busy waiting", which was realised by a loop with short
  Thread sleeps and periodic polling of the OutputQue, was replaced and decisively optimised by
  the use of a new implemented WaitUtil Helper class, which uses await condition and condition
  signal. This new procedure is also used in the method  SysmanConnection.sendClientRequest,
  where the response from the Sysman server is waited for.
  This should be much more effective by reducing the associated CPU load at these points.
  So initial practical tests have shown that this has reduced the CPU load by more than half
  on average!
- Thread handling, especially of the SysmanConnection class when processing client CC/CD requests
  with their asynchronous Sysman responses, has been revised. The procedure for client reconnects
  when restoring an interrupted Sysman connection has also been revised.


Release V 4.6.2 (Build 2023.10.11.1224):
- Correction of the client rights management in the optional and special stand-alone operation
  of the FRN server software.
- The end of a voice transmission of a client is now additionally signalled with an explicit
  IDLE byte to all clients of the respective server room, even before the client list is updated.
- When blocking or muting an FRN client, which is doing a voice transmission, after the client's
  forced disconnection the end of its voice transmission is additionally signalled with an
  explicit IDLE byte to all clients of the server room, even before the client list is updated.
- Minor changes in logging.


Release V 4.6.1 (Build 2023.09.23.1424):
- Additional escape4Xml for the EA, PW and BC fields from CT requests.
  (Some FRN users for example used "<" in the eMailAddr !?)
- It is now possible again to block FRN clients that have admin rights. And when muting FRN
  clients that are currently running a voice transmission, their connection to the server is
  briefly interrupted.
- The maximum value of the parameter "client_txtimeout" has been increased from 1000 to 2000.


Release V 4.6.0 (Build 2023.09.20.1114):
- The functions Mute and Block now also offer the option of saving a timestamp and a comment.
  On the client side, however, this is currently only supported by the Java CRN_Client from
  Release V 4.10.0!


Release V 4.5.8 (Build 2023.09.10.1232):
- Very rarely, the connection between the FRN client and the FRN server was interrupted after
  a voice transmission. Precautions have now been taken in the programme to prevent this from
  happening in the future. The FRN server now sends a DT_IDLE byte to the FRN client immediately
  after the RX0 of the FRN client (=end of the sequence of the TX1 voice packets).


Release V 4.5.7 (Build 2023.09.08.1326):
- Better detection of unexpected EOS (EndOfStream) events on socket reader.readLine().
- Possible xstream.io.StreamExceptions in methodes loadMuteList, loadBlockList, loadAdminList and
  loadAccessList (for example due to unexpectedly empty XML files) are now caught appropriately.


Release V 4.5.6 (Build 2023.09.03.1512):
- In the thread of the server listening loop, instructions were added to log the root cause of
  the very rarely occurring InvocationTargetException in more detail.


Release V 4.5.5 (Build 2023.07.22.1426):
- Bugfix regarding this previous program change in Release V 4.5.3:
  For connection requests from FRN clients that have server owner rights or network/room owner
  rights, all access restrictions of a possibly defined AccessList are ignored.
  This program change unfortunately had the side effect that any configured info messages were
  no longer displayed. This program error has now been corrected.


Release V 4.5.4 (Build 2023.07.17.0148):
- The settings of the socket options have been revised.
- The handling of the ConnectionListener list and the ReconnectRequiredListener list is now
  multi-thread safe.
- Procedures for notifyConnectionListeners (now: notifyServerAboutSysmanConnectionState) and
  notifyReconnectRequiredListeners have been completely revised.
- Checking of the server_owner parameter regarding regular eMailAddress format.
- The default value of the server.properties parameter "client_txtimeout" has been increased
  from 650 to 1000 ms.
- If the FRN system DE responds to a connection request from an FRN client with "DUPL", but
  the internal check of the FRN server whether the client in question is already online returns
  the opposite result, the connection is nevertheless allowed. However, this only applies to
  FRN System DE, because this FRN system also allows multiple connections, as long as they
  concern different FRN servers.
- Missing output flush instructions have been added to all socket write commands. And "\r\n"
  is now constantly used as the line separator string. Previously, depending on the system
  (Linux vs. Windows), only "\n" was used in some cases.
- Additional error logging if the CD ClientID request is not answered with OK by the respective
  FRN SystemManagerServer.
- Clearer indication for the server owner when a newer program version is available for download.


Release V 4.5.3 (Build 2023.06.26.1402):
- For connection requests from FRN clients that have server owner rights or network/room owner
  rights, any access restrictions of a possible AccessList are ignored.
- BugFix: The checking for multiple connection attempts at server level prevented additionally 
  configured parrots from connecting to the FRN server in other networks/rooms than the classic
  "Test" room.


Release V 4.5.2 (Build 2023.06.21.1432):
- Check for multiple connection attempts now not only related to the current network/room but for
  all networks/rooms of the FRN server. Furthermore, this check has been moved up in the programme
  sequence. It now takes place before the connection request is forwarded to the central FRN 
  SystemManagerServer.


Release V 4.5.1 (Build 2023.06.02.1212):
- Logging added with regard to checking for multiple connection attempts (at server network level).


Release V 4.5.0 (Build 2023.05.23.1438):
- New optional settings parameter netNN_unmute in the unit minutes (default: 0). If required,
  this can be used to set the period of time after which the muting of an FRN client is 
  automatically released.
- Better detection of the reconnection attempt of a client that is currently connected to the
  configured backup FN server. Remaining known issue: If the FRN server is not running in
  hybrid mode and the FRN client is configured for a SystemManagerServer other than that of
  the FRN server, the reconnect does not work because it performs the reconnect with the
  DynPassword of the other FRN system.


Release V 4.4.9 (Build 2023.04.21.1448):
- Checking the settings in the server.properties file to see if the room test has been defined
  separately. If this is the case, the FRN server is prevented from starting and a corresponding
  error message is logged in the server log file.
- Extra precautions that the AbortTX timer, when its task is completed, is safely terminated
  under all circumstances.
- With the parameter setting "client_txtimeout=0", the AbortTX timer can also be switched off.


Release V 4.4.8 (Build 2023.04.14.1724):
- Integration of a newer xStream library and source code adjustments in this regard.
  Purpose: Better support of OpenJDK as an alternative to Oracle Java Rumtime.
- Checking the setting of the server.properties parameter 'server_addr' for the valid host name.
  Hard to believe, but a few server operators have entered an invalid server address here that
  is not known to the DNS. If used, this check is also made for the parameters sysman_server_addr,
  sysman_server_addr_2 and sysman_server_addr_3.


Release V 4.4.7 (Build 2023.03.27.1318):
- In the context of the main function extension in Release 4.4.0 (support for 3 instead
  of 2 Sysman servers), a program error unfortunately crept in which had a side effect on
  the optional stand-alone operation of the FRN server software. This error has now been
  detected and corrected.


Release V 4.4.6 (Build 2023.03.04.1522):
- The AbortTX timer, which was reintroduced in V 4.4.0 and which automatically resets
  the status of the voice transmission after 500 ms if no further TX1 or RX0 was received
  during this time is now configurable (between 500ms and 1000ms). The default value has
  been increased to 650 ms.


Release V 4.4.5 (Build 2023.02.21.0236):
- New settings parameter netNN_parrot_startstop_enable=yes/no (Default: yes).


Release V 4.4.4 (Build 2023.02.19.1832):
- The AbortTX timer, which was reintroduced in V 4.4.0 and which automatically resets
  the status of the voice transmission after 500 ms if no further TX1 or RX0 was received
  during this time, now also triggers the Parrot in case of such an event, provided that
  a Parrot is present in the room.


Release V 4.4.3 (Build 2023.01.31.1824):
- BugFix: A possible null pointer exception is now prevented in the processing loops
  regarding the actually configured SysmanConnections.


Release V 4.4.2 (Build 2023.01.29.1422):
- Routine for establishing the SysmanConnections optimised because the old Original FRN
  client (NL) expects the overall response word within a short period of time.


Release V 4.4.1 (Build 2023.01.20.1254):
- The routine for determining the overall result of the client connection request when
  the FRN server is operated in hybrid mode has been revised and improved again.
  And if the overall result of the connection request is negative (e.g. BLOCK from FRN DE),
  the client is automatically disconnected from the other FRN systems to which it was able
  to connect (BugFix).


Release V 4.4.0 (Build 2023.01.19.1622):
- It is now possible to configure up to three SystemManagerServer connections. For this
  purpose, the following parameters were added to the server.properties file:
  sysman_server_addr_3, sysman_auth_emailaddr_3, sysman_auth_password_3 and server_port_3.
  Note: When using the SystemManagerServer "sysman.lpd-net.ru", the server owner must have
  created an extra FRN account for his email address in the Russian FRN system (through a
  classic FRN password request). This is because there is no automatic data exchange of
  FRN user accounts with the Russian FRN system.
- Source Code Refactoring in the context of SysmanConnections.
- As it was again observed that some FRN clients do not terminate voice transmissions
  correctly under certain circumstances (they do not send RX0 at the end), an additional
  AbortTX timer was again added, which automatically resets the status of the voice
  transmission after 500 ms if no further TX1 or RX0 was received during this time.
- When specifying the server address in the server.properties file, the programme checks
  whether it is a LAN address. This is rejected because it makes no sense for FRN servers
  that are to be accessible via the Internet.


Release V 4.3.8 (Build 2022.11.25.1412):
- Bugfix: Refresh of the MuteList did not occur if a client was muted during an ongoing
  voice transmission. The same was the case when blocking a client during an ongoing voice
  transmission. To work around the problem, the Admin Client first had to disconnect
  briefly and reconnect in order to receive the changed mute or block list.


Release V 4.3.7 (Build 2022.10.21.1732):
- The timing in the outputQueueHandler of the ClientAgent class has been adjusted a little.
- The resetting of the voiceState in the finalizeTX method has now been moved to the end
  of the method (due to possible interference with the outputQueueHandler thread running
  in parallel).
- The method sendClientList is now already called when the voice transmission has been
  approved after the TX0 request of the client (minor bugfix).
- Voice packets are now no longer sent to muted gateway or crosslink clients. If required,
  the behaviour can be set differently with the following new setting parameters:
  voip_skip_muted_crosslink_clients=yes|no (Default: yes)
  voip_skip_muted_gateway_clients=yes|no (Default: yes)
  voip_skip_muted_pconly_clients=yes|no (Default: no)
- New settings parameter netNN_enable=yes|no (Default: yes) to be able to temporarily
  deactivate a room if desired. The index of the other rooms does not have to be changed
  and should not be changed because existing mute-/block-/admin- and access-lists refer to
  the room index. The room list is sorted alphabetically anyway.
- The logging for the two cases of the termination of a client connection has been slightly
  revised (display of the details of the exception only in the trace logger level).
- The logger line regarding protocol errors on the client side is now worded a bit more
  harmless, because this message was sometimes misinterpreted by users of my FRN server
  software.


Release V 4.3.6 (Build 2022.10.11.1226):
- The setting of preferIPv4Stack is now back to the system default value (=false).
- Added DefaultUncaughtExceptionHandler in main class.
- Added logging of the elapsed time of the processLine method.
- Bugfix in the outputQueueHandler of the ClientAgent class.
- The Network.addClientAgent, Network.removeClientAgent, ClientAgent.sendClientList and
  ClientAgent.sendVoiceBuff methods as well as the ClientAgent and ClientListObject classes
  have been revised to make the determination of the ActiveClientIdx more thread-safe when
  changing and reordering the client list in the multi-threading environment of the
  concurrent ClientAgent threads.
- The methods sendVoiceBuff, sendClientList are no longer called in an extra thread.
- Differentiation of ReentrantLocks in the synchronisation of MultiThread critical methods.
- Any sendMuteList, sendAdminList, sendBlockList and sendAccessList actions are now postponed
  to the end of the voice transmission when a voice transmission is in progress.
- The connection attempts and errors related to SystemManagerServer that are temporarily
  unavailable are now logged only in trace mode.
- Check for multiple connection attempt of a client now additionally also on the server
  room/network level


Release V 4.3.5 (Build 2022.09.28.1412):
- For the purpose of better thread safety in the multi-threading of the FRN server program,
  complete refactoring of the methods of the two classes ClientAgent and Network (thread
  critical methods of the Network class moved to the ClientAgent thread class).


Release V 4.3.4 (Build 2022.09.26.1256):
- The timers for the ping/pong between FRN Client and FRN Server and for the pause between
  voice packets has been further adjusted.
- The sendClientList method has been further improved (especially in order not to interfere
  an active voice transmission).
- For the purpose of better thread safety in the multi-threading of the FRN server program,
  further methods of the Network class now use the class-internal lock object for thread
  synchronization.
- Fixed a small bug in the sorting of the client list (Parrot now appears at the top of the
  client list again).


Release V 4.3.3 (Build 2022.09.20.1242):
- New settings parameter netNN_speechpause_msg to define a FRN message to be sent to PC-only
  clients regarding compliance with speech pauses.
- The sorting of the client list has been corrected (order by client type, city, callsign).
- The procedure for indicating the availability of a new program release has been improved.


Release V 4.3.2 (Build 2022.09.17.1324):
- FRNClients with FRN protocol version numbers before 2014003 are normally blocked by both
  the Alternative FRN System and the Java FRN Server. The old GRNClient 0.0c has the FRN
  protocol version number 2010002, but there is a workaround to allow it to connect anyway:
  The word "GRNClient" must appear in the description field of the GRNClient.
  Unfortunately, since FRN server version 4.3.0 an error has crept into the programme lines
  for checking this constellation. This small bug has now been corrected.


Release V 4.3.1 (Build 2022.09.16.1456):
- The current development version V 4.3.0 (Build 2022.08.29.1510) becomes the new stable.
- Minor improvements in the administration of the server's access list.
  When activating an Access list or when activating the RXOnly list, a reconnect of all
  clients is now forced - including the client that made the setting change.
- Socket Settings changed (no more using setKeeplAlive, setOOBInline)
- Default CLIENT_SOTIMEOUT increased from 2000ms to 8000ms (min 4000ms, max 30000ms)
  and retries are no longer made.
- The ClientAgent thread now runs with a higher thread priority.
- Logger messages at TX1 request revised (shortened).
- Minor bugfix in Parrot (ignoring a possible SocketTimeoutException during Parrot's
  voice transmission).
- The input/output streams of the ClientAgent are now buffered. On the socket level,
  however, the Nagle's algorithm is still deactivated (TCP_NODELAY).
- The room/network list sent from the server to the logged-in client is now sorted
  alphabetically by room/network name and no longer by room/network index.
  

Release V 4.3.0 (Build 2022.08.29.1510):
- Feasibility study: Stand-alone mode of the Java FRN server to be able to operate it
  autonomously from any SystemManagerServer.
- New settings parameter standalone=yes/no (Default: no).
- For standalone mode, the FRN passwords can be set by the server owner in an XML file
  called "FRNPasswd.xml", which must be located in the ACL directory.
  The format is as follows (only an example):
  <PasswdList>
    <disabled>false</disabled>
    <User>
      <OperatorName>CALLSIGN1, Name</OperatorName>
      <EMailAddress>email01@domain.tld</EMailAddress>
      <Password>12345678</Password>
      <disabled>false</disabled>
    </User>
    <User>
      <OperatorName>CALLSIGN2, Name</OperatorName>
      <EMailAddress>email02@domain.tld</EMailAddress>
      <Password>ABCDEFGH</Password>
      <disabled>false</disabled>
    </User>
  </PasswdList>
  Note: User entries can be disabled if required. And the whole password list can be
        disabled if needed (any passwords are allowed).


Release V 4.2.1 (Build 2022.08.19.1654):
- The current development version V 4.2.0 (Build 2022.08.12.1534) becomes the new stable.
- The suppressed transmission of changed Mute/Block/Admin/Access lists to Admin-, NetOwner-
  and ServerOwner clients who are currently speaking, which was introduced in Release 4.2.0,
  is now made up for after the end of their voice transmission.
- Last adjustments: minor bugfix and logging reworked again (summarising info log lines,
  some logger lines upgraded from debug level to trace level)


Release V 4.2.0 RC (Build 2022.08.12.1534):
- Refactoring regarding thread handling and thread structure (main threads, sub threads)
  as well as the related logging revised/extended.
- Timer for the ping/pong between FRN Client and FRN Server respectively between FRN Server
  and SystemManagerServer better adapted to the timing of the original FRN Server software.
- Main loop in ClientAgent thread revised and improved.
- Internal Parrot Client completely revised.
- The following performance preference has now been set on the server sockets:
  Prefer high bandwidth above low latency, and low latency above short connection time.
- BugFix: In a certain constellation NullPointer Exceptions occurred in connection with the
  OutputBuffer.
- When muting FRN clients, they are now no longer disconnected for a short time.
- Changes to the client list that take place during a voice transmission are now no longer
  sent to all clients. The changed client list is not sent to the currently speaking client
  in order to prevent interference with its voice transmission. After the voice transmission,
  the client list is refreshed anyway. This programme change also affects Admin-, NetOwner-
  and ServerOwner clients when the Mute/Block/Admin/Access lists are changed during a voice
  transmission of such a client.
- Under certain circumstances, some FRN clients send ST requests without actually changed
  status (QRT/QRL/QRV). These redundant ST requests are now recognised by the server and
  ignored. As a result, the client list is no longer refreshed unnecessarily.
- Exception handling regarding possible uncaught exceptions has been revised again.
- The FinalizeTX timer, which was introduced in version V 4.0.2, has now been removed again.


Release V 4.1.0 (Build 2022.07.23.1242):
- Adaptation to modified FRN server connection check of the current SystemManagerServer
  of the Alternative FRN System (DE). The update of existing installations of the Java
  FRN Server is therefore recommended!
- Better check of the FRN protocol right at the beginning of the communication with the
  connected network client. If the data communication is not FRN-compliant, the connection
  is immediately terminated.


Release V 4.0.12 (Build 2022.06.21.1736):
- Bugfix in the routine that updates the associated entries in the mute/block/admin/access
  lists with the current client data when the client in question makes a connection request.


Release V 4.0.11 (Build 2022.06.17.1412):
- Added a few checks on the most important configuration parameters, in order to avoid
  missing or nonsensical configurations that some users make. (Further checks will be added
  as required ...)
- The complete accessList handling (except setting an access info message) is now disabled 
  for the special "Test" room/network.
- The default client timeout has been reduced from 4000ms to 2000ms and now only 3 retries
  are made in the event of a timeout. If necessary, however, the timeout time can be set with
  the parameter "client_sotimeout" of the server.properties file in unit ms.
- Minor correction in the method for comparing the app version numbers.


Release V 4.0.10 (Build 2022.05.02.1658):
- Update of the integrated jar-in-jar-loader.
- Update of the integrated xStream JAR file including the necessary source code adjustments.
- Logging (info,debug,trace) revised and supplemented in some places.


Release V 4.0.9 (Build 2022.04.25.1432):
- Unfortunately, a rarely occurring error crept in during the last programme changes: If the
  client list had to be updated during a voice transmission because another client entered the
  room or another client changed its status (QRT, QRL, QRV), the ongoing voice transmission of
  the speaking client was terminated unintentionally. This has now been detected and fixed.


Release V 4.0.8 (Build 2022.04.21.1226):
- Some "specialists" have entered a server address with "http:" network protocol scheme in the
  parameter server_addr. This is now automatically corrected.


Release V 4.0.7 (Build 2022.04.20.1406):
- In certain constellations, there was still an error in the administration of the FRN server when
  manually adding/removing AccessList entries. This has now been discovered and corrected.


Release V 4.0.6 (Build 2022.04.17.1242):
- Minor fixes in MultiThread handling.


Release V 4.0.5 (Build 2022.04.15.1402):
- The problem of intermittent dropouts during voice transmission in certain constellations (Parrot,
  FRNClientConsole) has been fixed.


Release V 4.0.4 (Build 2022.04.12.1442):
- The current development version V 4.0.3 (Build 2022.04.09.1508) becomes the new stable version.
- Since version 4.0.2, a check is carried out during the start phase of the FRN server programme
  to see whether a newer programme version is available. If this is the case, a corresponding
  message is displayed in the log file and, if applicable, on the console and the FRN server is
  started with a delay (~ 10 seconds). Now this information also appears as an FRN message each
  time the server owner connects to the FRN server.
 

Release V 4.0.3 (Build 2022.04.09.1508):
- Bug fix regarding the processing of the SpeechPause feature. In rare cases, if the client
  did not start the voice transmission with TX1 packets after repeated TX0 requests during the
  duration of the SpeechPause - despite the final send confirmation from the server -,
  a TX blockage occurred in the server room.


Release V 4.0.2 (Build 2022.04.09.1234):
- A feature from version 3.01 has been added also in the new edition of the FRN Server:
  As some FRN clients sometimes do not terminate voice transmissions correctly (they do not
  send RX0 at the end), an additional FinalizeTX timer has been added, which automatically
  resets the status of the voice transmission after 1500 ms at the latest.


Release V 4.0.1 (Build 2022.04.07.1426):
- Minor changes in preparation for the upcoming stable version.


Release V 4.0.0 (Build 2022.04.06.1402):
- *** Complete source code refactoring and revision of the previous implementation,
  as well as some bug fixes. ***
- The following settings parameters have been removed:
  licenseKey, idle_period, tx0_reply_delay
- Commandline option "-fsc" disabled.
- New settings parameter netNN_speechpause in unit milliseconds (Default: 0).
- New settings parameter netNN_parrot_enable=yes/no (Default: no).
- Version numbering changed in the sense of semantic versioning (major.minor.patch).


Release V 3.04 (Build 2020.03.21.1614):
- Regarding the "-fsc" commandline option, introduced in V 3.03:
  When generating the server.ini file, a parameter line with the undocumeted parameter 
  "SubstituteSource=no" is now added in the Manager[x] Sections. 


Release V 3.03 (Build 2020.03.06.1504):
- Implementation of a new optional command line parameter: -fsc. If the program is started with
  the fsc option, it generates certain files for an easier migration to the FRNServerConsole
  program. These files are created in the subdirectory "fsc". After generating these files, the
  program is terminated.


Release V 3.02 (Build 2019.11.27.1512):
- If an authorized client changes a mute-/block-/admin- or access-list, the server sends
  the changed list not only to the triggering client but from now on to all clients with
  the appropriate authorization.
- Granting and revoking admin rights is not only allowed for server owners but also for
  all room owners from now on.


Release V 3.01 (Build 2019.11.15.1012):
- Improved mute / block procedure in case of stations currently in voice transmission mode.
- Unapproved TX1 packets from clients that do not follow the TX0/DT_DO_TX procedure are now 
  completely ignored.
- Because some FRN clients sometimes do not end voice transmissions correctly (do not send 
  RX0 at the end), an extra FinishTX timer has been added, which automatically resets the
  status of the voice transmission after 1000 ms at the latest.
- Stations that have exceeded the set TimeOutTimer time during their voice transmission are
  briefly disconnected.
- Source code refactoring regarding the various internal timer.


Release V 3.00 (Build 2019.11.07.2238):
- Change of version display. The previous version display yyyy.mm.dd.HHMM becomes the internal
  build number and is replaced by a classic version number.
- Minor changes regarding the Parrot client (Client ID is now the build number of the server)
- Also to clients in QRT mode, the Voice Packets are now transmitted again in their original
  form (previously replaced by silent Voice Packets). Because also the Java FRN_Client prevents
  in its default setting that the voice packets can be heard in QRT mode.


Release 2019.09.30.1434: (V 2.10)
- Prevention of a possible NullPointerException regarding the parameter netNN_owner.
  Occurred when forgetting to set the netNN_owner parameter. If netNN_owner is not configured,
  netNN_owner is now set to the server owner.


Release 2019.09.08.1418: (V 2.09)
- BugFix regarding the previous change in sendClientList2Client().


Release 2019.09.04.2014: (V 2.08)
- Fixed typo in default value of SYSMAN_SERVER_ADDR.
- Default value of CLIENT_SOTIMEOUT increased from 3000 to 4000 (ms).
- sendClientList2Client() and sendClientList2Network() changed regarding activeClientIdx
  (if clients connect or disconnect during an active voice transmission)


Release 2019.08.23.1554: (V 2.07)
- Connection requests without callsign/operator name, e-mail address or password are caught
  and rejected directly.


Release 2019.08.19.1212: (V 2.06)
- Detection of a server port probing for RDP and appropriate handling of this hacker attack
  (absolutely no reply and abort of the connection).


Release 2019.08.16.1912: (V 2.05)
- The parameter "netNN_owner" can now contain not only a single email address but also a 
  comma-separated list of email addresses.
- Send Admin- and Access-Lists to Server- and Network-Owner


Release 2019.03.28.1822: (V 2.04)
- A possible but rare IllegalStateException in startIdleTimerTask is now recognized and caught.
- The program internal default value of parameter idle_period has been decreased from 450 to 400.


Release 2018.12.27.1552: (V 2.03)
- In the default setting, the value of parameter "server_owner" corresponds to the configured value
  of parameter "sysman_auth_emailaddr".
- A documentation regarding the configuration parameters has been added to the software package.
- Final build for first public deploy


Release 2018.10.28.1432: (V 2.03)
- Correction in server response to the polling from the FRN client during backup server mode.


Release 2018.10.16.1758: (V 2.02)
- The processing of the Time-out-Timer event has been revised.
- SourceCode refactoring regarding the meanwhile obsolete HeartBeat classes.
- A further minor Bugfix regarding a recent modification in release 2018.09.13.1350.


Release 2018.09.15.1802: (V 2.01)
- Bugfixing regarding a recent change of the previous release.


Release 2018.09.13.1350: (V 2.00)
- Complete revision of the main transmit and receive loop and the corresponding timers !
  In this context a new program parameter idle_period has beeen introduced. Here you can set the
  number of milliseconds after which the DT_IDLE byte is sent to the client in idle state.
  The default value is 450 ms.
- The default value of parameter client_sotimeout, if not specified, is now 3000 ms.
- The timeout for communication with the SystemManagerServer has been increased to take even delayed
  Sysman responses into account (especially the AL "-5" message is affected).
- The option SO_REUSEADDR is now set for the ServerSocket, so that no sockets remain in the TIME_WAIT
  state at the end of the process.
- The termination of the server process (e.g. by the Ctrl-C termination signal) is now better recognized
  by a shutdown hook. The shutdown hook interrupts and terminates still running ListenerThreads and 
  closes still open ServerSockets.
- A possible NullPointerException in sendClientList2Network is now intercepted (if a client connection
  suddenly breaks while the loop is being processed).
- CT equests with emailAddr="@", passwd="Password" and opName="Operator, Callsign" are now immediately
  answered with "WRONG" without the usual checks!
- Some logger entries have been revised or added.


Release 2018.08.06.0030: (V 1.07)
- BugFix in Method RequestAgent.onReconnectRequired(SysmanConnection con). When an temporary offline
  SysmanServer went online again, the onlineFlag of FRN clients before their program controlled
  reconnection was not properly reset under certain conditions.


Release 2018.07.27.1440: (V 1.06)
- Now the additional option SO_LINGER=TRUE,0 is set at the ClientAgent socket.
- No more retry at SocketTimeoutException.
- The default value of parameter client_sotimeout, if not specified, is now 1000 (milliseconds).
- Implementation of a speaking time limit. This Time-Out-Timer (TOT) parameter is optional and can be 
  configured per room/network if required. The Time-Out-Timer is specified in seconds.
  For example: net01_tot=180
  This sets a Time-Out-Timer of 180 seconds for the specified room.


Release 2018.07.20.1418: (V 1.05)
- During the client connection phase (up to the "RXO"), the server should better do not answer an "ST"
  request (change of visible status) with an extra refresh of the clientclist. Because this happens in
  parallel threads, this had sometimes the effect, that the client was correctly connected but disappeared
  suddenly in the client list again.
- Logger messages reworked and log4j.xml changed.
- Source code refactoring and byteCode optimizing. 


Release 2018.05.30.0110: (V 1.04)
- Two new configuration parameters has been added:
  1.) client_sotimeout: the clientAgent's sockettimeout in milliseconds (default value: 4000)
  2.) default_net: the replacement net, which is selected, if the requested does not exists 
      (default value: "Test")


Release 2018.05.01.0458: (V 1.03)
- The automatic, silent client reconnect, which is triggered when an offline sysman is available again,
  will now simply ignore a possible negativ sysman response, which may occure in configurations, in which
  the frn server is connected with 2 sysman in parallel. That means: In those situations no force_reconnect
  will be done any more.


Release 2018.04.28.1454: (V 1.02)
- A possible DUPL situation during the automatic client reconnect, which is triggered at a Sysman reconnect,
  will now be intercepted.
- TX0 requests from clients (client wants to start voice transmission) are now answered somewhat delayed by 
  the server. If the TX0 request originates from a client, which is also the owner of the server or network,
  the response takes place without a delay.


Release 2018.04.18.1712: (V 1.01)
- Minor BugFix regarding the format (fieldlist) of the admin list.


Release 2018.04.17.1526: (V 1.00)
- BugFixes regarding the sending of admin- and access lists to authorized clients and regarding the
  extra verification of the client access level when processing MC, BC and AA requests.


Release 2018.04.02.2302rc: (V 1.00rc9)
- Two additional configuration parametertypes in the server.properties file: 
  net[01-31]_acl_info and net[01-31]_bl_info
  These are used to configure the Info Text if access is blocked due to the parameters net[01-31]_acl_cl 
  or net[01-31]_acl_cl or respectively net[01-31]_bl_regexp.


Release 2018.03.31.1702rc: (V 1.00rc8)
- GRNClients with their hardcoded old client version number "2010002" are now accepted, if the client description
  at any position contains the charactersequence "GRNClient".


Release 2018.03.30.1912rc: (V 1.00rc7)
- The processing of the CT Request has been changed. If the given password is 
  "A"  (= possible error return value of the Sysman EU from the preceeding DP request)  
  or "-WRONGPW" or "-UNKNOWN" (= possible error return values of the Sysman DE from the preceeding DP request),
  then the client connect attempt is not passed as CC request to the SystemManager Server but an immediatelly
  negativ response (WRONG) is returned.


Release 2018.03.29.1805rc: (V 1.00rc6)
- Source Code Refactoring and WorkAround to get especially in the Double Sysman mode also the necessary unique IDs
  from the clients on the sysman-eu side. This concerns the sending of private messages as well as the muting, 
  blocking of clients and the  appointing as admin.
- The blocking of outdated client versions, which was introduced in Release 2018.03.01.1725, has now been made
  somewhat more tolerant, so that old GRN-Clients can connect again.


Release 2018.03.27.1522rc: (V 1.00rc5)
- Minor BugFix regarding a possible NullPointerException in ClientAgent.java (Line 304) in configurations,
  in which no sysman_server_addr_2 is defined.


Release 2018.03.26.2238rc: (V 1.00rc4)
- The id of the parrot client is now also an uuid.
- IG (update) now also resets a possible remained online flag.
- The procedure of parallel connections with two SystemManager servers has been completeley revised, in order to be
  able to store the different ClientIDs for a later client-disconnect request (suitable for the respective Sysman)
  and to get a better aggregation of both Sysman answers.
- The ClientCache feature for the sysman-is-offline operating mode, which was introduced in Release 2018.02.08.1928,
  has been removed and replaced by a completely reworked implementation.
- Source code refactoring.


Release 2018.03.26.0412rc: (V 1.00rc3)
- additional optional parameters backup_server_addr_2 and backup_server_port_2


Release 2018.03.25.2042rc: (V 1.00rc2)
- additional optional parameter server_port_2


Release 2018.03.19.1318rc: (V 1.00rc1)
This Release of the Java FRN_Server supports now in parallel a second SystemManager Server Connection !
PLEASE NOTE: In this context the parameters in server.properties has been changed !!

*** renamed parameters ***
sysman_server_host ==> sysman_server_addr
name ==> server_addr
port ==> server_port
owner ==> server_owner
backup_name ==> backup_server_addr
backup_port ==> backup_server_port

*** removed parameters ***
protocol_version, server_version, client_version, manager_version, server_app_name,
password, cl##, cl_totsec

*** new parameters ***
sysman_auth_emailaddr, sysman_auth_password
sysman_server_addr_2, sysman_auth_emailaddr_2, sysman_auth_password_2

PLEASE NOTE: Because it is a Beta Release please make a backup of your existing server.properties
and the previous FRN_Server.jar before you install this new release!


Release 2018.03.18.1428: (V 0.46)
- The Functionality "internal Crosslinks" has been totally removed. Use the new Java FRN_Crosslink program instead!
- CT request: The fields ID and NT has been added to the server response.


Release 2018.03.01.1725: (V 0.45)
- CT request: Block client if client version too old.
- CT request: The Server response contains the client version not the protocol version.


Release 2018.03.01.0058: (V 0.44)
- The TrialPeriodWatchDog has been completely deactivated.


Release 2018.02.09.0412: (V 0.43)
- Since the recent release, in case of a blocking of FRN clients, that may be configured via the
  FRN server internal block- or access-lists, the message "no access" ("Zugang verweigert") was not
  displayed any more. The concerned FRN client was still blocked as desired but the corresponding
  message did not appear any more.  This small display bug, that only affected those FRN servers,
  that use block lists or access lists, has now been fixed.


Release 2018.02.08.1928: (V 0.42)
- Extensive source-code refactoring.
- The transmission protocol, especially with regard to voice transmission, has been completely revised.
  The rarely occurring effect with the reconnect of all FRN clients of a FRN room, when a voice transmission
  is done by a FRN client, that has an unstable internet connection, should no longer occur.
- When the central FRN_SystemManager is restarted, the FRN clients connected at this time now perform 
  a reconnect unnoticed in the background. Even during a voice transmission.
- The FRN server keeps all FRN clients, that were connected since program start, in an internal Cache so that
  they may reconnect, even if the SystemManager server should be exceptionally offline.
- The parrot in the test room now records only a maximum of 20 seconds of a test transmission.


Release 2017.12.29.1852: (V 0.41)
- The TrialPeriod has been extended (01.03.2018).


Release 2017.11.13.1748: (V 0.40)
- On TX0 requests from FRN Clients take the rx-only flag into account now, because the FRN client software
  seems to ignore it.
- 4D48 Implementation
- An additional, optional configuration parametertype in the server.properties file: 
  net[01-31]_bl_regexp
  Which means a room-based regular expression for blocking certain FRN clients.
  The programm checks whether a substring described by the given pattern is in of one of
  the follwoing FRN client fields: operator_name, email_address or city.
- Reworking of various logger statements (regarding its content and the change of logger level from
  debug to trace).
- Update of commons-logging.jar (due to the trace level bug).


Release 2017.10.13.1842: (V 0.39)
- Smaller improvements/fixes regarding the internal cross-links (revision not yet finished).
- Two additional configuration parametertypes in the server.properties file: 
  net[01-31]_acl_cl and net[01-31]_acl_gw  
  Which means room-based access lists regarding external crosslinks and gateways !
  These parameters are optional and in its parameter values a comma separated list of email-addresses of
  the relevant FRN clients can be entered. The programm internal default setting is NULL (empty), which
  means that all external crosslinks or gateways are allowed.
  As soon as one of the net*_acl_cl or net*_acl_gw parameter is set, any external crosslink or gateway,
  which want's to connect to the network (room) will be checked, whether the email address of the
  relevant FRN client is contained in the given ACL. 
  With any other value (for example "none" or something else) an exclusion of all external crosslinks
  or gateways can be achieved.


Release 2017.09.27.0314: (V 0.38)
- The UncaughtExceptionHandler of the ServerThreadGroup class has been modified so that it also logs the
  stacktrace of the died thread.


Release 2017.09.21.1602: (V 0.37)
- The TrialPeriod has been extended (01.01.2018).
- At certain program lines, where NullPointerExceptions may occur (due to side effects of possible error 
  situations during the FRN communication), some additional checks regarding null values has been added.


Release 2017.09.12.1512: (V 0.36)
- Sending of an implementation Info "<IMPL>...</IMPL>" within server connect request (SC)
- Explicitly Stopping the ping / pong procedure of FRN clients entering the room at the time when another
  FRN client is speaking. Because those FRN clients have missed the normal initiation of the running
  voice transmission.


Release 2017.08.04.1412: (V 0.35)
- BugFix regarding the removal of clients from admin- or mute-lists while those clients are offline.


Release 2017.07.23.1636: (V 0.34)
- For a more compact FRN_Server.jar: External JAR files, which are no longer needed, has been removed.


Release 2017.07.20.1254: (V 0.33)
- Minor fixes in the server startup procedure.
- Further common methods of FRN_Sysman and FRN Server has been outsourced into a separate JAR File.
- The Logging has been revised.


Release 2017.06.28.1126: (V 0.32)
- The TrialPeriod has been extended (01.10.2017).


Release 2017.06.09.1927: (V 0.31)
- Refactoring / optimization of all routines, which are using the XStream library.


Release 2017.06.09.1536: (V 0.30)
- Complete refactoring of the server startup procedure.
- Send- and receive buffersize changed.


Release 2017.05.26.1738: (V 0.29)
- BugFix regarding the mute function
- The TrialPeriod has been extended.


Release 2017.05.19.1735: (V 0.28)
- Complete Refactoring of the classes and methods that are related to the Admin-/Block-/MuteList functionalities.
  Including a suitable adaptation to the different procedures of the original Sysman and the alternative
  FRN_Sysman regarding the unambiguous client identification.


Release 2017.05.12.1138: (V 0.27)
- XML-Escaping of possible special characters in the <ON>, <CT> and <DS> fields of the client list, 
  which is received by the server internal crosslinks.
- Internal crosslinks can be muted again.
- Program-controlled ending of the voice transmission (sending RX0 packet and restart Ping&Pong in all
  current ClientAgents), if a SocketException occurs during the voice transmission from the speaking client
  to its ClientAgent.
- Implementation of a TimeOutTimer (TOT) for the server internal cross-links. In this context, there is also
  a new parameter called "cl_totsec" in the server.properties file. This parameter can be used to configure
  the time in seconds, after which the voice transmission of an internal crosslink is terminated programmatically.
  With values <= 0, this TimeOutTimer can be deactivated. The default program setting is -1 (TOT deactivated).


Release 2017.05.09.1455: (V 0.26)
- The Collision detection at the beginning of a voice transmission has been improved.
- In order to prevent status "2" (absent) clients with modified program versions from listening to 
  QSOs, from now on only dummy voice packets (silence) will be sent to these clients.
- The socket-timeout settings (client and sysman connection) have been slightly increased.


Release 2017.05.08.1718: (V 0.25)
- BugFix regarding one of the recent changes in release 2017.05.07.1722.
- The muting of FRN clients even with Admin-, ServerOwner- or NetworkOwner-Status is allowed again.


Release 2017.05.07.1722: (V 0.24)
- The client lists, which are sent to the FRN Client, are now sorted by client type and client city.
- Further improvement regarding stability and reliability in voice transmission -- Regarding the rare 
  protocol sequence of TX0 requests with immediate following RX0 request but missing TX1 data packets.


Release 2017.04.29.0132: (V 0.23)
- The TrialPeriod has been extended.


Release 2017.04.26.2030: (V 0.22)
- log4j-1.2.8.jar has been replaced by log4j-1.2.17.jar
- The configuration file Log4j.properties has been converted to log4j.xml, with the intention to be able
  to use AsyncAppender.
- In log4j.xml an AsyncAppender with the nested DailyLimitedRollingFileAppender has been added.
- In class "Server" the call of "PropertyConfigurator.configure(log4j_properties_file);" has been
  replaced by "DOMConfigurator.configureAndWatch( log4j_properties_file, 3*60*1000 );"


Release 2017.04.22.1812: (V 0.21)
- Textmessages are now send to FRN clients in all client states.
- For blocked Clients (individually blocked or in members-only mode) the connect request is now totally
  denied (not only visualizied and treated as blocked).
- Prevent Mute/Block/SetAdmin on internal crosslinks.
- Refactoring regarding synchronized methods and statements.


Release 2017.04.21.0234: (V 0.20)
- Two new optional parameter have been added to the server.propterties file: backup_name and backup_port.
  These parameters relate to the address and port of the backup server and are now sent to the client when
  the server responds to a CT request.
- Call stopMyHeartBeat (disable ping-pong) not for muted or blocked ClientAgents.


Release 2017.04.19.1328: (V 0.19)
- XML-Escaping of possible special characters in the <ON>, <CT> and <DS> fields of the CT requests.


Release 2017.04.18.1958: (V 0.18)
- Several modifications/improvements regarding the handling of various SocketExceptions especially for
  FRN clients with an unstable internet connection.
- Bugfix regarding CC Requests and possible DUPL response from FRN Sysman.
- CC requests to sysman from virtual clients (parrot or internal crosslink) are now omitted to prevent
  unnecessary data communication between the server and sysman and the special treatment of the expected
  BLOCK responses.
- The obligatory CD Request in the Finalize Procedure of the ClientAgents is now sent to the FRN Sysman 
  only when the respective FRN client was previously connected and when it is not a virtual FRN client
  (parrot or internal crosslink).


Release 2017.04.15.1704: (V 0.17)
- Correction of the CT requests from frn4pi clients regarding the clienttype information 
  (in CT request from frn4pi clients, the mandatory field <CL> is missing).


Release 2017.04.15.1426: (V 0.16)
- Refactoring regarding the calls of StringEscapeUtils.escapeXml10.
- Automatical restart of parrot after 30 minutes or when no other client than the parrot is in the room.
- The welcome message of the parrot now shows its current state.


Release 2017.04.14.1422: (V 0.15)
- From the password field of the CT request any possibly leading or trailing spaces are now removed.
- The Welcome Message of the Test/Parrot Room has been changed (an addional hint regarding the info command).


Release 2017.04.12.1238: (V 0.14)
- Further source code obfuscation of the outsourced classes and functions.
- Integration of the current version of the associated Jar file into the FRN_Server Project.
- Voice transmission collision check only in the case when the internal crosslinks start their voice transmission.


Release 2017.04.10.2002: (V 0.13)
- Improvement in the reception of VoiceData (in the case of fragmented data packets).
- More robustness in the forwarding of VoiceData packets in case of unexpected connections reset of FRN clients.


Release 2017.04.08.1814: (V 0.12)
- Further refactoring regarding the outsourced classes and methods.
- The algorithm for the server license key (format, content and encryption of the license data) has been changed.


Release 2017.04.08.1310: (V 0.11)
- Modification regarding the Network class attribute "clientAgents" due to rarely occuring ConcurrentModificationExceptions.


Release 2017.04.07.1522: (V 0.10)
- Outsourcing of certain common methods of FRN_Sysman and FRN Server into a separate Java Project and thus into a separate JAR file


Release 2017.04.04.2010: (V 0.09)
- The System.out.println regarding license key has been removed.
- The Content of the license keys has been changed!


Release 2017.03.28.1812: (V 0.08)
- Changes to the RestrictedTelnetAppender Logger class in the same way as in the FRN_Sysman project
- BugFix in the response to the CT requests. In certain constellations, the server version was transmitted instead
  of the protocol version.
- Text messages are now returned to the sender as confirmation.
- The TrialPeriod has been extended.


Release 2017.03.18.1828: (V 0.07)
- A new required parameter has been added to the server.propterties file: licenseKey.
  This is the licenseKey, which was generated by the SystemManager Admin and is based on the following data:
  FRN Server address, FRN Server port and email address of the server owner


Release 2017.03.17.1430: (V 0.06)
- Modification in log4j.RestrictedTelnetAppender regarding the acl parameter (deactivation of acl)


Release 2017.03.14.1126: (V 0.05)
- Additional validation of crosslink definitions (regarding non-existent network indexes and duplicate entries)
- Collision check when internal crosslinks start their voice transmission


Release 2017.03.11.1614: (V 0.04)
- Further completion of the internal crosslink feature. And in this context also minor BugFixes regarding the Parrot Funktion.
- Log Messages reworked to get better context information (ClientAgent- and ClientBackend-Identifikation)

The server internal crosslinks can be set up as follows in the server.properties file:
clAA=BB-CC
With
AA, BB, and CC are two-digit numbers with leading zero.
AA corresponds the crosslink index, value range 01-93.
BB and CC corresponds the network index, value range 01-31.
BB must not be equal to CC and the "-" stands for "linked with".
CrossLink definitions that do not match this parameter format will be ignored.


Release 2017.03.08.1958: (V 0.03)
- Minor adjustments to Russian FRN client (again regarding voice transmission)


Release 2017.03.06.1825: (V 0.02)
- Minor bug fixes / improvements regarding the Parrot's Network.
- A first implementation of server internal cross-links (yet not complete).
- Protocol change in the start phase of a voice transmission. The Russian FRN client expects to suspend the DT_IDLE / P sequence
  directly after the confirmation of the TX0 request (not with the first TX1).


Release 2017.03.04.1458: (V 0.01)
- New parameter in server.properties: xmlFilesDir. This can be used to configure the directory where all the
  MuteList/BlockList/AdminList/AccessList XML-Files are stored. The Defaultvalue of this Parameter is "." (Programmdirectory).
- Two new optional command line parameters: -inDir and -outDir. If the program is started together with the inDir parameter,
  it runs only in converter mode. All ini files (MuteList/BlockList/AdminList/AccessList) in inDir will be converted to their
  corresponding XML files. If OutDir is not specified, outDir=inDir applies.


[Starting releasenotes on 04 March 2017]